### Constructor

# Gtk.LinkButton.new

#### Declaration [src]

    GtkWidget*
    gtk_link_button_new (
      const char* uri
    )

#### Description [src]

Creates a new `GtkLinkButton` with the URI as its text.

#### Parameters

`uri` | `const char*`
| a valid URI
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkWidget`
a new link button widget.
Ownership is not transferred to the caller